PowWeb Breaks Drupal Support

As a result of recent (and silent) changes of PowWeb policy, Drupal is no longer supported fully. The changes affect queries the system makes to remote servers. As a result, the automatic update check of Drupal core and modules becomes broken. After cron runs, and error "Unable to fetch any information about available updates" appears, which will no doubt irritate clients and site visitors.

So far, PowWeb support has been refusing to rectify the issue. In case, if that continues for a certain amount of time, I will be suggesting all clients to start thinking of possible change of hosting, since updates are essential to site functionality and security.

Affected versions: Drupal 5.x and up.